// Menus 
function manufacturing_plant_menu_open_nav() {
  jQuery(".sidenav").addClass('show');
}
function manufacturing_plant_menu_close_nav() {
  jQuery(".sidenav").removeClass('show');
}

( function( window, document ) {
  function manufacturing_plant_keepFocusInMenu() {
    document.addEventListener( 'keydown', function( e ) {
      const manufacturing_plant_nav = document.querySelector( '.sidenav' );

      if ( ! manufacturing_plant_nav || ! manufacturing_plant_nav.classList.contains( 'show' ) ) {
        return;
      }
      const elements = [...manufacturing_plant_nav.querySelectorAll( 'input, a, button' )],
        manufacturing_plant_lastEl = elements[ elements.length - 1 ],
        manufacturing_plant_firstEl = elements[0],
        manufacturing_plant_activeEl = document.activeElement,
        tabKey = e.keyCode === 9,
        shiftKey = e.shiftKey;

      if ( ! shiftKey && tabKey && manufacturing_plant_lastEl === manufacturing_plant_activeEl ) {
        e.preventDefault();
        manufacturing_plant_firstEl.focus();
      }

      if ( shiftKey && tabKey && manufacturing_plant_firstEl === manufacturing_plant_activeEl ) {
        e.preventDefault();
        manufacturing_plant_lastEl.focus();
      }
    } );
  }
  manufacturing_plant_keepFocusInMenu();
} )( window, document );

jQuery('document').ready(function($){
	// preloader
  setTimeout(function () {
		jQuery("#preloader").fadeOut("slow");
  },1000);

  // Sticky Header
  $(window).scroll(function(){
		var sticky = $('.header-sticky'),
			scroll = $(window).scrollTop();

		if (scroll >= 100) sticky.addClass('header-fixed');
		else sticky.removeClass('header-fixed');
	});
});

/*sticky copyright*/
window.addEventListener('scroll', function() {
  var sticky = document.querySelector('.copyright-sticky');
  if (!sticky) return;

  var scrollTop = window.scrollY || document.documentElement.scrollTop;
  var windowHeight = window.innerHeight;
  var documentHeight = document.documentElement.scrollHeight;

  var isBottom = scrollTop + windowHeight >= documentHeight-100;

  if (scrollTop >= 100 && !isBottom) {
    sticky.classList.add('copyright-fixed');
  } else {
    sticky.classList.remove('copyright-fixed');
  }
});

// Scroller
jQuery(document).ready(function () {
	jQuery(window).scroll(function () {
    if (jQuery(this).scrollTop() > 100) {
      jQuery('.scrollup i').fadeIn();
    } else {
      jQuery('.scrollup i').fadeOut();
    }
	});
	jQuery('.scrollup i').click(function () {
    jQuery("html, body").animate({
      scrollTop: 0
    }, 600);
    return false;
	});
});

// homepage sidebar
jQuery(document).ready(function () {
  function manufacturing_plant_search_loop_focus(element) {
    var manufacturing_plant_focus = element.find('select, input, textarea, button, a[href]');
    var manufacturing_plant_firstFocus = manufacturing_plant_focus[0];  
    var manufacturing_plant_lastFocus = manufacturing_plant_focus[manufacturing_plant_focus.length - 1];
    var KEYCODE_TAB = 9;

    element.on('keydown', function manufacturing_plant_search_loop_focus(e) {
      var isTabPressed = (e.key === 'Tab' || e.keyCode === KEYCODE_TAB);

      if (!isTabPressed) { 
        return; 
      }

      if ( e.shiftKey ) /* shift + tab */ {
        if (document.activeElement === manufacturing_plant_firstFocus) {
        manufacturing_plant_lastFocus.focus();
          e.preventDefault();
        }
        } else /* tab */ {
        if (document.activeElement === manufacturing_plant_lastFocus) {
          manufacturing_plant_firstFocus.focus();
          e.preventDefault();
        }
      }
    });
  }

  jQuery('.toggle-btn a').click(function(){
    jQuery(".header-sidebar").addClass('show');
    manufacturing_plant_search_loop_focus(jQuery('.header-sidebar'));
  });

  jQuery('.header-sidebar .close-pop a').click(function(){
    jQuery(".header-sidebar").removeClass('show');
  });
});

// Title Color
jQuery(document).ready(function() {
  jQuery("#slider .carousel-caption .slider-title").each(function() {
    var t = jQuery(this).text();
    var splitT = t.split(" ");
    var newText = "";
    var secondLastIndex = splitT.length - 2;

    for (var i = 0; i < splitT.length; i++) {
      if (i === secondLastIndex) {
        newText += "<span class='title-text'>";
        newText += splitT[i] + " ";
        newText += "</span>";
      } else {
        newText += splitT[i] + " ";
      }
    }
    jQuery(this).html(newText.trim());
  });
});

// Sub-heading
jQuery(document).ready(function() {
  jQuery("#slider .carousel-caption .slider-small-title").each(function() {
    var t = jQuery(this).text();
    var splitT = t.split(" ");
    var newText = "";
    var thirdWordIndex = 2;

    for (var i = 0; i < splitT.length; i++) {
      if (i === thirdWordIndex) {
        newText += "<span class='sub-title-text'>";
        newText += splitT[i] + " ";
        newText += "</span>";
      } else {
        newText += splitT[i] + " ";
      }
    }
    jQuery(this).html(newText.trim());
  });
});

// Industry Heading
jQuery(document).ready(function() {
  jQuery("#indusrties-section .section-left-content .section-title").each(function() {
    var t = jQuery(this).text();
    var splitT = t.split(" ");
    var newText = "";
    var thirdWordIndex = 2;
    var fourthWordIndex = 3;

    for (var i = 0; i < splitT.length; i++) {
      if (i === thirdWordIndex || i === fourthWordIndex) { 
        newText += "<span class='indusrty-title-text'>";
        newText += splitT[i] + " ";
        newText += "</span>";
      } else {
        newText += splitT[i] + " ";
      }
    }
    jQuery(this).html(newText.trim());
  });
});

/*sticky sidebar*/
window.addEventListener('scroll', function() {
  var sticky = document.querySelector('.sidebar-sticky');
  if (!sticky) return;

  var scrollTop = window.scrollY || document.documentElement.scrollTop;
  var windowHeight = window.innerHeight;
  var documentHeight = document.documentElement.scrollHeight;

  var isBottom = scrollTop + windowHeight >= documentHeight-100;

  if (scrollTop >= 100 && !isBottom) {
    sticky.classList.add('sidebar-fixed');
  } else {
    sticky.classList.remove('sidebar-fixed');
  }
});
/* Progress Bar */
document.addEventListener("DOMContentLoaded", function () {
    const manufacturing_plant_progressBar =
        document.getElementById("manufacturing_plant_elemento_progress_bar");
    if (!manufacturing_plant_progressBar) return;
    window.addEventListener("scroll", function () {
        const manufacturing_plant_scrollTop =
            document.documentElement.scrollTop || document.body.scrollTop;
        const manufacturing_plant_height =
            document.documentElement.scrollHeight -
            document.documentElement.clientHeight;
        const manufacturing_plant_scrolled =
            (manufacturing_plant_scrollTop / manufacturing_plant_height) * 100;
        manufacturing_plant_progressBar.style.width =
            manufacturing_plant_scrolled + "%";
    });
});